Golo Netbeans Module - plugin detail

Support for the GOLO language

NetBeans Plugin - Golo Netbeans Module
Plugin owner: festal
Website: https://github.com/golo-lang/golo-netbeans
Added: 2013-04-02
License: ASL
Category: Programming Languages
Downloaded: 1,214 times
Rating:
 0, by 0 users

Plugin Log Show log

Versions available

Download plugin   Download size: 0.32 MB   Last Update: 2015-03-16

What's new in this version



Verifications for NetBeans versions

Plugin is not subject to any verification

Download plugin   Download size: 0.11 MB   Last Update: 2013-05-14

This plugin is also available on the NetBeans Plugin Portal Update Center. Use 'Tools > Plugins' action from the NetBeans IDE main menu for convenient installation of this plugin


What's new in this version



Verifications for NetBeans versions

7.3 verification PASSED See verification details
Download plugin   Download size: 0.11 MB   Last Update: 2013-04-29

This plugin is also available on the NetBeans Plugin Portal Update Center. Use 'Tools > Plugins' action from the NetBeans IDE main menu for convenient installation of this plugin


What's new in this version



Verifications for NetBeans versions

7.2 verification PASSED See verification details


Introduction

Module to add support for the JVM-based dynamic GOLO language

[ You have to be logged in to be able to comment. ]

User Comments

  

Re: About Java 6 support

Thx v. much!
Validating asap.
Posted by ent38 on Apr 29, 2013
  

About Java 6 support

Now the plugin can be installed even on a Netbeans IDE running with JDK 6.
However when opening the first Golo file, a warning is issued to explain that some language services will not be available.
Anyway it is still possible to run a golo file from the Java6-backed IDE if you add a Java 7 platform.
Posted by festal on Apr 29, 2013
  

Need JDK6 build

Hi,
I get the following exception on plugin install:
Some plugins require the Java platform in version Java > 1.7
The Java platform version Java > 1.7 was requested but only 1.6 is running. The following plugin is affected:       Golo Netbeans Module

NetBeans 7.3 (and 7.2) is designed to run on Java6 and Java7. Could you recompile your plugin with JDK6 ?
Thx.

// email sent to festal@netbeans.org
// no bugzilla entry has been automatically filled yet
// opened issue on GitHub: https://github.com/golo-lang/golo-netbeans/issues/1
Posted by ent38 on Apr 05, 2013
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo